> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new machine translate settings

> 
To add required secrets for each type use endpoint - [Set up secrets](#operation/setUpMachineTranslateSettingsSecrets)

Adding secrets to Google AutoML use - [Set up Google AutoML secrets](#operation/uploadAccountKeyFileForGoogleAutoMl)




## OpenAPI

````yaml /openapi/phrase-tms-latest.json post /api2/v1/machineTranslateSettings
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/machineTranslateSettings:
    post:
      tags:
        - Machine Translation Settings
      summary: Create new machine translate settings
      description: >

        To add required secrets for each type use endpoint - [Set up
        secrets](#operation/setUpMachineTranslateSettingsSecrets)


        Adding secrets to Google AutoML use - [Set up Google AutoML
        secrets](#operation/uploadAccountKeyFileForGoogleAutoMl)
      operationId: createMachineTranslateSettings
      requestBody:
        $ref: '#/components/requestBodies/AbstractMachineTranslateSettingsDtoV1'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MachineTranslateSettingsDtoV1'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  requestBodies:
    AbstractMachineTranslateSettingsDtoV1:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AbstractMachineTranslateSettingsDtoV1'
  schemas:
    MachineTranslateSettingsDtoV1:
      type: object
      properties:
        args:
          type: object
          additionalProperties:
            type: object
        baseName:
          type: string
        category:
          type: string
        default_:
          type: boolean
        enabled:
          type: boolean
        id:
          type: string
        includeTags:
          type: boolean
        langs:
          $ref: '#/components/schemas/MachineTranslateSettingsLangsDtoV1'
        mtQualityEstimation:
          type: boolean
        name:
          type: string
        type:
          type: string
        uid:
          type: string
    AbstractMachineTranslateSettingsDtoV1:
      type: object
      required:
        - name
        - type
      discriminator:
        propertyName: type
      properties:
        default_:
          type: boolean
          description: 'Make default setting. Default: false'
        name:
          type: string
          minLength: 0
          maxLength: 255
        type:
          type: string
          description: Type of the setting with predefined Enumeration
          enum:
            - Acolad
            - Amazon
            - AnZin
            - Apertium
            - AutodeskMtApi
            - AutodeskNmt
            - Baidu
            - Booking
            - CLASSIII
            - ClearMT
            - ClosedNmt
            - Cotoha
            - CrossLang
            - CustomConnector
            - DeepL
            - FairTrade
            - Geofluent
            - GlobaleseNmt
            - GlobaleseCloud
            - Globalese
            - GoogleAutoMl
            - GoogleTranslate
            - GoogleV3Translate
            - HumanScience
            - Hunyuan
            - Jukkou
            - KantanMt
            - Kodensha
            - LengooHalos
            - MicrosoftCustom
            - MicrosoftHub
            - MicrosoftTranslate
            - Mirai
            - ModernMt
            - Moravia3
            - MoraviaMt
            - MoraviaTagsMt
            - Nict
            - Npat
            - OmniscienTechnologies
            - Pangea
            - PartnerConnector
            - PrompsitMt
            - Prompt
            - Robobrain
            - RobobrainCustom
            - SalesforceMt
            - SdlBeGlobal
            - SdlLanguageCloud
            - Skrivanek
            - SundaMt
            - SystranPnmt
            - Systran
            - T3mt
            - T4ooRealtime
            - Tauyou
            - TauyouRealTime
            - Tencent
            - TildeMt
            - Toshiba
            - UbiqusNmt
            - Yandex
            - Yappn
    MachineTranslateSettingsLangsDtoV1:
      type: object
      properties:
        id:
          type: string
          description: Id
        sourceLang:
          type: string
          description: Source language for CUSTOMIZABLE engine
        targetLangs:
          type: array
          description: List of target languages for the CUSTOMIZABLE engine
          items:
            type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````